 /*
  * Khoros: $Id: dcpad.h,v 1.2 1992/03/20 23:33:38 dkhoros Exp $
  */

 /*
  * $Log: dcpad.h,v $
 * Revision 1.2  1992/03/20  23:33:38  dkhoros
 * VirtualPatch5
 *
  */

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as to the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including, for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: dcpad.h
 >>>>            Author: Jeremy Worley, Donna Koechner, Ramiro Jordan
 >>>> Date Last Updated: Mon Feb 17 23:28:47 1992
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _dcpad_h_
#define _dcpad_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program;	/* a pointer to the program name argv[0] */
int	ac;

/****************************************************************
*
*                    dcpad Argument Structure
*
****************************************************************/

typedef struct _dcpad  {

/*
 *  input data file (xviff file) (Required infile)
 */
char	*i_file;	/* input data file (xviff file) FILENAME */
int	 i_flag;	/* input data file (xviff file) FLAG */

/*
 *  resulting output file (xviff file) (Required outfile)
 */
char	*o_file;	/* resulting output file (xviff file) FILENAME */
int	 o_flag;	/* resulting output file (xviff file) FLAG */

/*
 *  length of file to be generated (Optional integer)
 */
int	 l_int; 	/* length of file to be generated INT */
int	 l_flag;	/* length of file to be generated FLAG */

/*
 *  number of constant values at the beginning of data sequence (Optional integer)
 */
int	 p_int; 	/* number of constant values at the beginning of data sequence INT */
int	 p_flag;	/* number of constant values at the beginning of data sequence FLAG */

/*
 *  real constant value for padding (Optional float)
 */
float	 j_float;	/* real constant value for padding FLOAT */
int	 j_flag;   	/* real constant value for padding FLAG */

/*
 *  imaginary constant value for padding (Optional float)
 */
float	 k_float;	/* imaginary constant value for padding FLOAT */
int	 k_flag;   	/* imaginary constant value for padding FLAG */

/*
 *  data processing direction (0 = down vectors, 1 = across bands) (Optional logical)
 */
int	 d_logic;	/* data processing direction (0 = down vectors, 1 = across bands) LOGIC */
int	 d_flag;  	/* data processing direction (0 = down vectors, 1 = across bands) FLAG */

}  dcpad_struct;

dcpad_struct *dcpad;

/* -include_additions */
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
